Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.placer
Class PooledEntityPlacer

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
          org.optaplanner.core.impl.constructionheuristic.placer.PooledEntityPlacer

All Implemented Interfaces:
  Iterable<Placement>, EventListener, EntityPlacer, PhaseLifecycleListener, SolverLifecycleListener

    public class PooledEntityPlacer

extends AbstractEntityPlacer
implements EntityPlacer

Field Summary
`protected MoveSelector` | `moveSelector`

Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`logger, phaseLifecycleSupport`

Constructor Summary
`PooledEntityPlacer(MoveSelector moveSelector)`

Method Summary
`Iterator<Placement>` | `iterator()`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer
`phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### moveSelector

    protected final MoveSelector moveSelector

Constructor Detail

### PooledEntityPlacer

    public PooledEntityPlacer(MoveSelector moveSelector)

Method Detail

### iterator

    public Iterator<Placement> iterator()

  Specified by:
    `iterator` in interface `Iterable<Placement>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.